;Passlib are PassWord routines of UserLib, I just made it to have
;an other PassWord, just for FlashShell
;By Flavien Racine -FLASH-

passlib::InputStr               equ     passlib@0000
;---------------------------------------------------------------------
; InputStr(x,y,maxchar)
;
;   Inputs a string at x,y
;
;Input:	d1.w = x
;	d2.w = y
;	d3.w = maxchar
;
;Output: d0.w = string lenght
;	 a0.l = adress of the string
;---------------------------------------------------------------------

passlib::getpassword            equ     passlib@0001
;---------------------------------------------------------------------
;getpassword(void)
;
;   Asks for the Doors password and return in d1 the result
;
;Input: nothing
;
;Output: d1.w = 0  -> Good password
;	Otherwise the password was bad.
;
;	NO OTHER REGISTERS DETROYED
;---------------------------------------------------------------------


passlib::changepass             equ     passlib@0002
;---------------------------------------------------------------------
;changepass(void)
;
;   Asks for the old Doors password and if it is good, asks for a new Doors password
;
;Input and Output: nothing
;
;   NO REGISTERS DESTROYED
;---------------------------------------------------------------------

passlib::lockcalc         equ     passlib@0003
;---------------------------------------------------------------------
;lockcalc(void)
;
;   Turn off the calculator. When turned on, the Doors password is asked.
;	If the password is bad, the calc is turned off again.
;
;Input: nothing
;
;Output: d4=0 -> screen wasn't restored
;
;   NO OTHER REGISTERS DESTROYED
;
;NOTE:this function requires 3840 bytes free (2000 on a 89) to save the screen
;and later restore it. If there isn't place enough, the screen wont'be restored.
;---------------------------------------------------------------------

passlib::idle_hot               equ     passlib@0004
;---------------------------------------------------------------------
;idle_hot(void)
;
;   Same as idle_loop but:
;	-pressing the F7 (Home on the 89) key will protect your calc by turning off 
;	and asking for a password
;	-pressing the F8 (Mode on the 89) key will turn off your calc
;
;Input: nothing
;
;Output: d0.w = getkey code of key pressed
;	NO OTHER REGISTERS DETROYED
;---------------------------------------------------------------------

passlib::memo                    equ     passlib@0005
;---------------------------------------------------------------------
; move.w #0,passlib::memo   --> FlashShell will show Free RAM
;
; move.w #1,passlib::memo   --> FlashShell will show Free Archive
;---------------------------------------------------------------------

passlib::bolt                    equ     passlib@0006
;---------------------------------------------------------------------
; move.w #3,passlib::bolt   --> FlashShell will not be bolt 
;
; move.w #4,passlib::memo   --> FlashShell will be bolt
;---------------------------------------------------------------------

